%define oname printer-driver-ptouch
%define pname ptouch-driver

Summary:	CUPS/foomatic driver for Brother P-touch label printers
Name:		cups-drivers-ptouch
Version:	1.7
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Printing
URL:		https://github.com/philpem/printer-driver-ptouch
Source0:	https://github.com/philpem/%{oname}/releases/download/v%{version}/%{pname}-%{version}.tar.gz
Patch1:		0001-Fix-Brother-QL-600.xml.patch
Requires:	cups
BuildRequires:	pkgconfig(cups)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	ghostscript

%description
The ptouch-driver consists of a CUPS raster filter for driving the family of
Brother P-touch label printers.

This package contains CUPS foomatic drivers for the following printers:
PT-1500PC, PT-18R, PT-1950VP, PT-1950, PT-1960, PT-2300,
PT-2420PC, PT-2430PC, PT-2450DX, PT-2500PC, PT-2600, PT-2610,
PT-3600, PT-550A, PT-P710BT, PT-9200DX, PT-9200PC, PT-9400,
PT-9500PC, PT-9600, PT-9700PC, PT-E550W, PT-P300BT, PT-P700,
PT-P900W, PT-P950NW, PT-PC, QL-500, QL-550, QL-570, QL-650TD,
QL-700, QL-800, QL-810W, QL-820NWB


%prep
%autosetup -p1 -n %{pname}-%{version}

%build
%configure \
    --libdir=%{_prefix}/lib

%make_build

%install
install -d %{buildroot}%{_datadir}/cups/model/%{name}

%make_install

%files
%doc AUTHORS README
%{_prefix}/lib/cups/filter/rastertoptch
%{_datadir}/foomatic/db/source/printer/*.xml
%{_datadir}/foomatic/db/source/driver/*.xml
%{_datadir}/foomatic/db/source/opt/*.xml
%dir %{_datadir}/cups/model/%{name}


%changelog
* Tue May 07 2024 daviddavid <daviddavid> 1.7-1.mga10
+ Revision: 2062774
- new version: 1.7

* Thu Sep 14 2023 solbu <solbu> 1.6.1-1.mga10
+ Revision: 1986657
- Dont include obsolete changelogs
- New release: 1.6.1

* Sat Nov 05 2022 solbu <solbu> 1.6-1.mga9
+ Revision: 1903866
- New release: 1.6

* Thu Mar 17 2022 umeabot <umeabot> 1.5.1-2.mga9
+ Revision: 1797468
- Mageia 9 Mass Rebuild

* Fri Aug 21 2020 tv <tv> 1.5.1-1.mga8
+ Revision: 1617720
- fix unexpanded-macro
+ solbu <solbu>
- New version: 1.5.1
- Clean spec
- New upstram URLs
- Drop unnecesary BuildRequires

* Thu Feb 13 2020 umeabot <umeabot> 1.4.2-3.mga8
+ Revision: 1511799
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.4.2-2.mga7
+ Revision: 1297368
- Mageia 7 Mass Rebuild

* Sun Sep 17 2017 solbu <solbu> 1.4.2-1.mga7
+ Revision: 1155081
- New version: 1.4.2
- Drop old conflicts
- List the printers it supports
- Don't ship COPYING
- Cleanup spec
- New version: 1.4
- New upstream URL

* Mon Feb 08 2016 umeabot <umeabot> 1.3-9.mga6
+ Revision: 946560
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.3-8.mga5
+ Revision: 741909
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3-7.mga5
+ Revision: 678632
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.3-6.mga4
+ Revision: 503697
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.3-5.mga3
+ Revision: 348464
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 28 2011 dmorgan <dmorgan> 1.3-4.mga1
+ Revision: 43070
- imported package cups-drivers-ptouch


* Tue Nov 30 2010 Oden Eriksson <oeriksson@mandriva.com> 1.3-4mdv2011.0
+ Revision: 603878
- rebuild

* Sun Mar 14 2010 Oden Eriksson <oeriksson@mandriva.com> 1.3-3mdv2010.1
+ Revision: 518901
- fix deps
- rebuild

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 1.3-2mdv2010.0
+ Revision: 413294
- rebuild

* Sun Mar 22 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1.3-1mdv2009.1
+ Revision: 360184
- Updated to version 1.3
- Dropped ptouch-driver-gcc43_fix.diff (merged)

* Tue Dec 23 2008 Oden Eriksson <oeriksson@mandriva.com> 1.2-8mdv2009.1
+ Revision: 318081
- rebuild

* Wed Jul 02 2008 Oden Eriksson <oeriksson@mandriva.com> 1.2-7mdv2009.0
+ Revision: 230683
- added a gcc43 patch (P0)
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Fri Jan 11 2008 Thierry Vignaud <tv@mandriva.org> 1.2-5mdv2008.1
+ Revision: 149156
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Aug 30 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.2-4mdv2008.0
+ Revision: 76079
- Added conflicts to foomatic-db < 1:3.0.2-1.20070820.1mdv2008.0

* Thu Aug 30 2007 Oden Eriksson <oeriksson@mandriva.com> 1.2-3mdv2008.0
+ Revision: 75335
- fix deps (pixel)

* Thu Aug 16 2007 Oden Eriksson <oeriksson@mandriva.com> 1.2-2mdv2008.0
+ Revision: 64156
- use the new System/Printing RPM GROUP

* Tue Aug 14 2007 Oden Eriksson <oeriksson@mandriva.com> 1.2-1mdv2008.0
+ Revision: 63010
- Import cups-drivers-ptouch



* Mon Aug 13 2007 Oden Eriksson <oeriksson@mandriva.com> 1.2-1mdv2008.0
- initial Mandriva package
